#!/usr/bin/env python3

import pandas
from influxdb import DataFrameClient

d = pandas.read_csv('log.csv', header=None, names=('timestamp', 'sensor', 'watts'))

d['timestamp'] = pandas.to_datetime(d['timestamp'],unit='s')
d = d.set_index('timestamp')

d = d[d.watts.notnull()]

#sensors = d.pivot_table(index='timestamp', columns='sensor', values='watts')

client = DataFrameClient(database='power')

for key, df in d.groupby('sensor'):
  print(key)
  client.write_points(df, 'flukso', {'sensor': key}, batch_size=100000)
